Ipelib

- Main Page
- Related Pages
- Modules
- Classes

Classes | Functions
Ipe Geometry

## Classes

class | ipe::Angle
| A double that's an angle. More...
class | ipe::Vector
| Two-dimensional vector. More...
class | ipe::Rect
| Axis-parallel rectangle (which can be empty) More...
class | ipe::Line
| A directed line. More...
class | ipe::Segment
| A directed line segment. More...
class | ipe::Linear
| Linear transformation in the plane (2x2 matrix). More...
class | ipe::Matrix
| Homogeneous transformation in the plane. More...
class | ipe::Bezier
| A cubic Bezier spline. More...
class | ipe::Arc
| An arc of an ellipse. More...
class | ipe::CurveSegment
| A segment on an SubPath. More...
class | ipe::Curve
| Subpath consisting of a sequence of CurveSegment's. More...
class | ipe::SubPath
| A subpath of a Path. More...
class | ipe::Ellipse
| An ellipse subpath. More...
class | ipe::ClosedSpline
| A closed B-spline curve. More...
class | ipe::Shape
| A geometric shape, consisting of several (open or closed) subpaths. More...

## Functions

template<class T >
T | ipe::max (const T &lhs, const T &rhs)
template<class T >
T | ipe::min (const T &lhs, const T &rhs)
double | ipe::abs (double val)

## Detailed Description

Geometric primitives for Ipe.

The IpeGeo module provides a few classes for constant-size geometric primitives, such as vector, axis-aligned rectangles, lines, rays, line segments, etc.

## Function Documentation

template<class T >

T ipe::max | ( | const T & | lhs,
|  | const T & | rhs
| ) |  |

inline

Maximum of two values.

template<class T >

T ipe::min | ( | const T & | lhs,
|  | const T & | rhs
| ) |  |

inline

Minimum of two values.

double ipe::abs | ( | double | val | ) |

inline

Absolute value.